{% extends base_template %}
{% load client_utils %}

{% block title %}{{ client }}{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
{% if not user_is_benev %}
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item active" aria-current="page">{{ client|default:"Nouveau client" }}</li>
{% endif %}
{% endblock %}

{% block content %}
    {% if form.errors %}
    <div class="alert alert-danger alert-dismissible">
        Le formulaire contient des erreurs, veuillez les corriger avant d'enregistrer à nouveau.
    </div>
    {% endif %}

    <div class="row align-items-center">
        <h2 class="col">
            {{ client|default:"Nouveau client" }}
            {% if client %}{% services_as_icons client current_app 'p-2' %}{% endif %}
        </h2>
        {% block right_of_title %}{% endblock %}
    </div>

    {% block client_tabs %}{% endblock %}

    {% if client.date_deces %}
        <div class="alert alert-danger mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                Personne décédée le {{ client.date_deces|date:'d.m.Y' }}.
                {% if 'alarme' in client.type_client and not can_be_archived %}
                    Son dossier sera automatiquement archivé un mois après le retour de son matériel d’alarme.
                {% endif %}
            </p>
        </div>
    {% endif %}

    {% if client and current_app not in client.type_client %}
        <div class="alert alert-danger mt-2 p-2 d-flex justify-content-between">
            <p class="mb-0 align-self-center">
                Ce client n’est pas encore identifié comme client «{{ current_app }}».
                Enregistrez ce formulaire pour qu’il le devienne.
            </p>
        </div>
    {% endif %}

    {% block client_warnings %}{% endblock %}

    {% bandeau_absence client.presence_actuelle %}

    <p>{{ form.non_field_errors }}</p>

    <form method="post" action="{{ request.path }}" autocomplete="off" class="noenter debounce">{% csrf_token %}
        <div class="row mb-2">
          <div class="col-md-3">
            <div class="form-group">
                {{ form.nom.label_tag }} {{ form.nom.errors }} {{ form.nom }}
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
                {{ form.prenom.label_tag }} {{ form.prenom.errors }} {{ form.prenom }}
            </div>
          </div>
          <div class="col-md-3 mt-auto">
            <div class="form-group">
                {{ form.genre.errors }} {{ form.genre }}
            </div>
          </div>
          <div class="col-md-3">
            <div class="form-group">
                {{ form.date_naissance.label_tag }}<br>
                {{ form.date_naissance.errors }} {{ form.date_naissance }}
            </div>
          </div>
        </div>

        {% if not client.pk %}
        <div id="doublons" data-url="{% url 'client-autocomplete' 'tous' %}" hidden>
            <div>Doublons possibles :</div>
            <ul id="doublons_content"></ul>
        </div>
        {% endif %}

        {% if form.nom_part %}
        <fieldset id="partenaire">
            <legend>Partenaire</legend>
            <div class="row mb-2">
              <div class="col-md-3">
                <div class="form-group">
                    {{ form.nom_part.label_tag }} {{ form.nom_part.errors }} {{ form.nom_part }}
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                    {{ form.prenom_part.label_tag }} {{ form.prenom_part.errors }} {{ form.prenom_part }}
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                    {{ form.genre_part.label_tag }} {{ form.genre_part.errors }} {{ form.genre_part }}
                </div>
              </div>
              <div class="col-md-3">
                <div class="form-group">
                    {{ form.date_naissance_part.label_tag }} {{ form.date_naissance_part.errors }} {{ form.date_naissance_part }}
                </div>
              </div>
            </div>
            <div class="form-group mb-2 col-md-3">
                {{ form.tel_part.label_tag }} {{ form.tel_part.errors }} {{ form.tel_part }}
            </div>
        </fieldset>
        {% endif %}

        <div class="form-group mb-2">
            {{ form.c_o.label_tag }} {{ form.c_o.errors }} {{ form.c_o }}
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.rue.label_tag }} {{ form.rue.errors }} {{ form.rue }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.case_postale.label_tag }} {{ form.case_postale.errors }} {{ form.case_postale }}
            </div>
          </div>
        </div>
        <div class="row form-group mb-2">
            {% with map_link=form.instance.map_link %}
            <div class="col-auto flex-grow-1">
              {# hidden #}{{ form.npa }} {{ form.localite }}
              {{ form.npalocalite.label_tag }}{{ form.npalocalite.errors }}{{ form.npalocalite }}
            </div>
            {% if map_link %}
                <div class="col-auto align-self-end"><a href="{{ map_link }}" target="blank">Carte</a></div>
            {% endif %}
            {% endwith %}
        </div>

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.tel_1.label_tag }} {{ form.tel_1.errors }} {{ form.tel_1 }}
            </div>
          </div>
          <div class="col">
            <div class="form-group">
                {{ form.tel_2.label_tag }} {{ form.tel_2.errors }} {{ form.tel_2 }}
            </div>
          </div>
        </div>

        <div class="form-group mb-2">
        {{ form.courriel.label_tag }} {{ form.courriel.errors }} {{ form.courriel }}
        </div>
        <div class="row mb-2">
          <div class="col-sm-6">
              <div class="form-group">
            {{ form.langues.label_tag }} {{ form.langues.errors }} {{ form.langues }}
              </div>
          </div>
          <div class="col-sm-6">
              <div class="row">
                <div class="col-md-4">{{ form.type_logement.label_tag }}</div>
                <div class="col-md-8">{{ form.type_logement.errors }} {{ form.type_logement }}</div>
              </div>
              <div class="form-group">
                {{ form.type_logement_info.label_tag }} {{ form.type_logement_info.errors }} {{ form.type_logement_info }}
              </div>
              <div class="row">
                <div class="col-md-6">{{ form.etage.label_tag }} {{ form.etage.errors }} {{ form.etage }}</div>
                <div class="col-md-6">{{ form.nb_pieces.label_tag }} {{ form.nb_pieces.errors }} {{ form.nb_pieces }}</div>
              </div>
              <div class="row">
                <div class="col-md-6 pt-3">{{ form.ascenseur.label_tag }} {{ form.ascenseur.errors }} {{ form.ascenseur }}</div>
                <div class="col-md-6">{{ form.code_entree.label_tag }} {{ form.code_entree.errors }} {{ form.code_entree }}</div>
              </div>
          </div>
        </div>

        {% block custom_fields %}{% endblock %}

        <div class="row mb-2">
          <div class="col">
            <div class="form-group">
                {{ form.remarques_ext.label_tag }} {{ form.remarques_ext.errors }} {{ form.remarques_ext }}
            </div>
          </div>
          {% if form.remarques_int_alarme %}
          <div class="col">
            <div class="form-group">
                {{ form.remarques_int_alarme.label_tag }} {{ form.remarques_int_alarme.errors }} {{ form.remarques_int_alarme }}
            </div>
          </div>
          {% endif %}
          {% if form.remarques_int_transport %}
          <div class="col">
            <div class="form-group">
                {{ form.remarques_int_transport.label_tag }} {{ form.remarques_int_transport.errors }} {{ form.remarques_int_transport }}
            </div>
          </div>
          {% endif %}
          {% if form.remarques_int_visite %}
          <div class="col">
            <div class="form-group">
                {{ form.remarques_int_visite.label_tag }} {{ form.remarques_int_visite.errors }} {{ form.remarques_int_visite }}
            </div>
          </div>
          {% endif %}
        </div>

        {% if not form.readonly %}
        <div class="buttons d-flex justify-content-between">
            <button type="submit" class="btn btn-primary order-3">Enregistrer</button>
            {% if can_be_archived %}
            <button type="submit" class="btn btn-danger order-1" data-confirm="Voulez-vous vraiment archiver cette personne ?"
                    formaction="{% url 'client-archive' client.pk %}">Archiver</button>
            {% else %}<div class="order-2">{#force push save to right #}</div>
            {% endif %}
        </div>
        {% endif %}
    </form>

    {% if client %}
    <hr class="m-2">
    <div class="row mb-2">
        <div class="col-md-6 mt-3">
            {% block underform_left %}
            <div class="d-flex justify-content-between mt-2 block-header">
                <h3>Autres adresses / Hospitalisations</h3>
                {% if not form.readonly %}
                <button type="button" id="new_adr_button" class="btn btn-secondary openmodal" title="Nouvelle adresse"
                        data-modalurl="{% url 'client-adresse-add' client.pk %}">+</button>
                {% endif %}
            </div>
            <div id="client-addresses" data-url="{% url 'client-adresse-list' client.pk %}">
                {% include 'client/adresse_list.html' %}
            </div>
            {% endblock %}
        </div>

        <div class="col-md-6 mt-3">
            {% block underform_right %}
            <div class="d-flex justify-content-between block-header">
                <h3>Contacts</h3>
                {% if not form.readonly %}
                <button type="button" id="new_contact_button" class="btn btn-secondary openmodal" title="Nouveau contact"
                        data-modalurl="{% url 'client-referent-add' client.pk %}">+</button>
                {% endif %}
            </div>
            <div id="client-contacts" data-url="{% url 'client-referent-list' client.pk %}">
                {% include 'client/contact_list.html' with readonly=form.readonly %}
            </div>
            {% endblock %}
        </div>
    </div>

    <div class="row mb-2 border-top">
        <div class="col-md-6 mt-3" id="client-fichiers" data-url="{% url 'client-fichier-list' client.pk %}">
            {% include 'client/fichier_list.html' %}
            {% if not form.readonly %}
            <div>
                <a href="{% url 'client-fichier-add' client.pk %}" class="btn btn-secondary openmodal" id="btn-add-file">Ajouter un fichier</a>
            </div>
            {% endif %}
        </div>
        {% block underform2_right %}{% endblock %}
    </div>
    {% endif %}{# client #}
{% endblock %}
